aboutsummaryrefslogtreecommitdiffstats
path: root/community/beanstalkd/beanstalkd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/beanstalkd/beanstalkd.initd')
-rw-r--r--community/beanstalkd/beanstalkd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/community/beanstalkd/beanstalkd.initd b/community/beanstalkd/beanstalkd.initd
new file mode 100644
index 0000000000..475f102568
--- /dev/null
+++ b/community/beanstalkd/beanstalkd.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of MIT
+# $Header: /var/cvsroot/gentoo-x86/app-misc/beanstalkd/files/init-1.9,v 1.1 2014/03/31 06:34:28 patrick Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting beanstalkd"
+ /sbin/start-stop-daemon --start \
+ --background \
+ --pidfile ${PIDFILE} --make-pidfile \
+ --exec ${BEANSTALKD_BINARY} \
+ -- -b ${DATADIR} -p ${PORT} -l ${ADDR} -u ${USER} -z ${JOB_SIZE}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping beanstalkd"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${PIDFILE} \
+ --exec ${BEANSTALKD_BINARY}
+ eend $?
+}
+